First MidLet

hello everyone.

I am new to J2ME. I have programmed Java before and wanted to try it now.
So i installed:
SDK 1.5
intellij
wirelesstoolkit 2.2

now when i try to compile my simple test class i get this error:


Execution completed.
710480 bytecodes executed
8 thread switches
741 classes in the system (including system classes)
3632 dynamic objects allocated (103040 bytes)
1 garbage collections (0 bytes collected)
ALERT: java/lang/ClassFormatError: Bad version information.
Execution completed.
710480 bytecodes executed
8 thread switches
741 classes in the system (including system classes)
3632 dynamic objects allocated (103040 bytes)
1 garbage collections (0 bytes collected)

Process finished with exit code 0


Some people said i have to switch to the 1.4 SDK but there must be another way i know the person who was doing this here before me (who left) did it with the SDK 1.5

Would be great if anyone had an idea about this!
Thx a lot in advance!

1 comment

In IDEA Project settings you need to set Language Level to 1.3 instead of 1.5.

0

Please sign in to leave a comment.